﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using SamakAPI.Models;

namespace SamakAPI.Migrations
{
    [DbContext(typeof(SamakDBContext))]
    partial class SamakDBContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.1.11-servicing-32099")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("SamakAPI.Models.Badge", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("NumBadge")
                        .HasMaxLength(100);

                    b.Property<string>("NumSerie")
                        .HasMaxLength(100);

                    b.HasKey("Id");

                    b.ToTable("badge");
                });

            modelBuilder.Entity("SamakAPI.Models.Personne", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Adresse")
                        .HasColumnName("adresse")
                        .HasMaxLength(100);

                    b.Property<string>("Cin")
                        .HasColumnName("cin")
                        .HasMaxLength(100);

                    b.Property<string>("Cnss")
                        .HasColumnName("cnss")
                        .HasMaxLength(100);

                    b.Property<DateTime?>("DateArret")
                        .HasColumnName("dateArret")
                        .HasColumnType("date");

                    b.Property<DateTime?>("DateEmbauche")
                        .HasColumnName("dateEmbauche")
                        .HasColumnType("date");

                    b.Property<DateTime?>("DateNaissance")
                        .HasColumnName("dateNaissance")
                        .HasColumnType("date");

                    b.Property<int?>("IdBadge")
                        .HasColumnName("IDBadge");

                    b.Property<string>("Matricule")
                        .IsRequired()
                        .HasColumnName("matricule")
                        .HasMaxLength(200);

                    b.Property<string>("Nom")
                        .IsRequired()
                        .HasColumnName("nom")
                        .HasMaxLength(100);

                    b.Property<int?>("NombreEnfant")
                        .HasColumnName("nombreEnfant");

                    b.Property<string>("Phone")
                        .HasColumnName("phone")
                        .HasMaxLength(14);

                    b.Property<string>("Prenom")
                        .HasColumnName("prenom")
                        .HasMaxLength(100);

                    b.Property<string>("Ramed")
                        .HasColumnName("ramed")
                        .HasMaxLength(100);

                    b.Property<string>("Situation")
                        .HasColumnName("situation")
                        .HasMaxLength(100);

                    b.Property<string>("Ville")
                        .HasColumnName("ville")
                        .HasMaxLength(100);

                    b.HasKey("Id");

                    b.HasIndex("IdBadge");

                    b.HasIndex("Matricule")
                        .IsUnique()
                        .HasName("UQ__personne__30962D11C7DD0BF2");

                    b.ToTable("personne");
                });

            modelBuilder.Entity("SamakAPI.Models.Pesage", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("DatePesage")
                        .HasColumnName("datePesage")
                        .HasColumnType("datetime");

                    b.Property<int>("IdPersonne")
                        .HasColumnName("idPersonne");

                    b.Property<int?>("IdUser")
                        .HasColumnName("idUser");

                    b.Property<double>("Poids")
                        .HasColumnName("poids");

                    b.HasKey("Id");

                    b.HasIndex("IdPersonne");

                    b.HasIndex("IdUser");

                    b.ToTable("pesage");
                });

            modelBuilder.Entity("SamakAPI.Models.Role", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Libelle")
                        .HasColumnName("libelle")
                        .HasMaxLength(80)
                        .IsUnicode(false);

                    b.HasKey("Id");

                    b.ToTable("role");
                });

            modelBuilder.Entity("SamakAPI.Models.Users", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnName("id")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime?>("DateLogin")
                        .HasColumnName("dateLogin")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("DateLogout")
                        .HasColumnName("dateLogout")
                        .HasColumnType("datetime");

                    b.Property<int?>("IdRole")
                        .HasColumnName("idRole");

                    b.Property<string>("Nom")
                        .HasColumnName("nom")
                        .HasMaxLength(100);

                    b.Property<string>("Password")
                        .HasColumnName("password")
                        .HasMaxLength(100);

                    b.Property<string>("Phone")
                        .HasColumnName("phone")
                        .HasMaxLength(14);

                    b.Property<string>("Prenom")
                        .HasColumnName("prenom")
                        .HasMaxLength(100);

                    b.Property<string>("Username")
                        .HasColumnName("username")
                        .HasMaxLength(100);

                    b.HasKey("Id");

                    b.HasIndex("IdRole");

                    b.ToTable("users");
                });

            modelBuilder.Entity("SamakAPI.Models.Personne", b =>
                {
                    b.HasOne("SamakAPI.Models.Badge", "IdBadgeNavigation")
                        .WithMany("Personnes")
                        .HasForeignKey("IdBadge")
                        .HasConstraintName("FK__personne__IDBadg__49C3F6B7");
                });

            modelBuilder.Entity("SamakAPI.Models.Pesage", b =>
                {
                    b.HasOne("SamakAPI.Models.Personne", "IdPersonneNavigation")
                        .WithMany("Pesage")
                        .HasForeignKey("IdPersonne")
                        .HasConstraintName("FK__pesage__idPerson__164452B1");

                    b.HasOne("SamakAPI.Models.Users", "IdUserNavigation")
                        .WithMany("Pesages")
                        .HasForeignKey("IdUser")
                        .HasConstraintName("FK__pesage__idUser__34C8D9D1");
                });

            modelBuilder.Entity("SamakAPI.Models.Users", b =>
                {
                    b.HasOne("SamakAPI.Models.Role", "IdRoleNavigation")
                        .WithMany("Users")
                        .HasForeignKey("IdRole")
                        .HasConstraintName("FK__users__idrole__71D1E811");
                });
#pragma warning restore 612, 618
        }
    }
}
